Index: /trunk/gsdl/macros/pref.dm
===================================================================
--- /trunk/gsdl/macros/pref.dm	(revision 875)
+++ /trunk/gsdl/macros/pref.dm	(revision 876)
@@ -1,3 +1,13 @@
 package preferences
+
+# set within server
+
+# collectionoption is only set when cross-collection searching is turned on
+_collectionoption_ {}
+
+# this macro will be set to "1" when the "source docs retrived from dl/web
+# button is required - i.e. whenever PreferenceDocsFromWeb isn't set to false
+# in collect.cfg
+_PreferenceDocsFromWeb_ {}
 
 
@@ -24,88 +34,164 @@
 #######################################################################
 
+_ccsfunctions_ {argcc = "";
+savedccs = new Object();
+
+function initialize () \{
+  for (i = 0; i < document.links.length; i++)
+    savedhrefs[i] = document.links[i].href;
+
+  s = "_cgiargcc_";
+  a = s.split (",");
+  for (i = 0; i < a.length ;i++) \{
+    for (j = 0; j < document.PrefForm.cc.length; j++) \{
+      if (a[i] == document.PrefForm.elements["cc"][j].value) \{
+        document.PrefForm.elements["cc"][j].checked = true;
+        savedccs[a[i]] = 1;
+        argcc = argcc + "&cc=" + a[i];
+        break;
+      \} else \{
+        savedccs[a[i]] = 0;
+      \}
+    \}
+  \}
+  updatehrefs();
+\}
+
+function updatecc (collection) \{
+  if (savedccs[collection] == 1) savedccs[collection] = 0;
+  else savedccs[collection] = 1;
+		
+  var i;
+  argcc = "";
+  for (i in savedccs)
+    if (savedccs[i] == 1) argcc += "&cc=" + i;
+  updatehrefs();
+\}
+}
+
+_standardfunctions_ {
+function initialize () \{
+  for (i = 0; i < document.links.length; i++)
+    savedhrefs[i] = document.links[i].href;
+\}
+}
+
+_getargsfunction_ {
+function getargs () \{
+  return argk + args + argm + argo + argb_If_('_cgiargccs_ == 1',_ccsargs_)_If_(_htmloptions_,_htmlargs_);
+\}
+}
+
+_ccsargs_ {+ argcc}
+_htmlargs_ {+ argel + argil + argfc + arghl}
+
+_htmlfunctions_ {argel = "";
+argil = "";
+argfc = "";
+arghl = "";
+
+function updateel () \{
+  value = document.PrefForm.el.options[document.PrefForm.el.selectedIndex].value;
+  if (value != "_cgiargel_") argel = "&el=" + value;
+  else argel = "";
+  updatehrefs();
+\}
+
+function updateil () \{
+  value = document.PrefForm.il.options[document.PrefForm.il.selectedIndex].value;
+  if (value != "_cgiargil_") argil = "&il=" + value;
+  else argil = "";
+  updatehrefs();
+\}
+
+function updatefc () \{
+  if (document.PrefForm.fc.checked)
+    _If_("_cgiargfc_" eq "1",_argfcblank_,_argfcon_)
+  else 
+    _If_("_cgiargfc_" ne "1",_argfcblank_,_argfcoff_)
+  updatehrefs();
+\}
+
+function updatehl () \{
+  if (document.PrefForm.hl.checked)
+    _If_("_cgiarghl_" eq "1",_arghlblank_,_arghlon_)
+  else 
+    _If_("_cgiarghl_" ne "1",_arghlblank_,_arghloff_)
+  updatehrefs();
+\}
+}
+
+_argfcblank_ {argfc = "";}
+_argfcon_ {argfc = "&fc=1&f=1";}
+_argfcoff_ {argfc = "&fc=0&f=0";}
+
+_arghlblank_ {arghl = "";}
+_arghlon_ {arghl = "&hl=1";}
+_arghloff_ {arghl = "&hl=0";}
+
 _pagescriptextra_ {
 // preferences scripts generated from \_preferences:pagescriptextra\_
 
-	savedhrefs = new Object();
-
-	argk = "";
-	args = "";		
-	argm = "";
-	argo = "";
-	argb = "";
-        argel = "";
-        argil = "";
-
-	function initialize () \{
-		for (i = 0; i < document.links.length; i++)
-			savedhrefs[i] = document.links[i].href;
-	\}
-
-	function updatehrefs () \{
-		for (i = 0; i < document.links.length; i++)
-			document.links[i].href = savedhrefs[i] + argk + args + argm + argo + argb + argel + argil;
-	\}
-
-	function updatek (value) \{
-		if (value != _cgiargk_) argk = "&k=" + value;
-		else argk = "";
-		updatehrefs();
-	\}
-
-	function updates (value) \{
-		if (value != _cgiargs_) args = "&s=" + value;
-		else args = "";
-		updatehrefs();
-	\}
-
-	function updatem () \{
-		value = document.PrefForm.m.options[document.PrefForm.m.selectedIndex].value;
-		if (value != _cgiargm_) argm = "&r=1&m=" + value;
-		else argm = "";
-		updatehrefs();
-	\}
-
-	function updateo () \{
-		value = document.PrefForm.o.options[document.PrefForm.o.selectedIndex].value;
-		if (value != _cgiargo_) argo = "&r=1&o=" + value;
-		else argo = "";
-		updatehrefs();
-	\}
-
-	function updateb (value) \{
-		if (value != _cgiargb_) argb = "&b=" + value;
-		else argb = "";
-		updatehrefs();
-	\}
-
-	function updateel () \{
-		value = document.PrefForm.el.options[document.PrefForm.el.selectedIndex].value;
-		if (value != "_cgiargel_") argel = "&el=" + value;
-		else argel = "";
-		updatehrefs();
-	\}
-
-	function updateil () \{
-		value = document.PrefForm.il.options[document.PrefForm.il.selectedIndex].value;
-		if (value != "_cgiargil_") argil = "&il=" + value;
-		else argil = "";
-		updatehrefs();
-	\}
-
-	function updatel () \{
-		value = document.PrefForm.l.options[document.PrefForm.l.selectedIndex].value;
-		location.href = location.href + argk + args + argm + argo + argb + argel + argil + "&l=" + value;
-	\}
-
-	function updatev () \{
-		value = document.PrefForm.v.options[document.PrefForm.v.selectedIndex].value;
-		location.href = location.href + argk + args + argm + argo + argb + argel + argil + "&v=" + value;
-	\}
-
-	function updatew () \{
-		value = document.PrefForm.w.options[document.PrefForm.w.selectedIndex].value;
-		location.href = location.href + argk + args + argm + argo + argb + argel + argil + "&nw=" + value;
-	\}
-
+savedhrefs = new Object();
+
+argk = "";
+args = "";		
+argm = "";
+argo = "";
+argb = "";
+_If_('_cgiargccs_ == 1',_ccsfunctions_,_standardfunctions_)
+_If_(_htmloptions_,_htmlfunctions_)
+_getargsfunction_
+function updatehrefs () \{
+  for (i = 0; i < document.links.length; i++)
+    document.links[i].href = savedhrefs[i] + getargs();
+\}
+
+function updatek (value) \{
+  if (value != _cgiargk_) argk = "&k=" + value;
+  else argk = "";
+  updatehrefs();
+\}
+
+function updates (value) \{
+  if (value != _cgiargs_) args = "&s=" + value;
+  else args = "";
+  updatehrefs();
+\}
+
+function updatem () \{
+  value = document.PrefForm.m.options[document.PrefForm.m.selectedIndex].value;
+  if (value != _cgiargm_) argm = "&r=1&m=" + value;
+  else argm = "";
+  updatehrefs();
+\}
+
+function updateo () \{
+  value = document.PrefForm.o.options[document.PrefForm.o.selectedIndex].value;
+  if (value != _cgiargo_) argo = "&r=1&o=" + value;
+  else argo = "";
+  updatehrefs();
+\}
+
+function updateb (value) \{
+  if (value != _cgiargb_) argb = "&b=" + value;
+  else argb = "";
+  updatehrefs();
+\}
+
+function updatel () \{
+  value = document.PrefForm.l.options[document.PrefForm.l.selectedIndex].value;
+  location.href = location.href + "&l=" + value + getargs();
+\}
+
+function updatev () \{
+  value = document.PrefForm.v.options[document.PrefForm.v.selectedIndex].value;
+  location.href = location.href + "&v=" + value + getargs();
+\}
+
+function updatew () \{
+  value = document.PrefForm.w.options[document.PrefForm.w.selectedIndex].value;
+  location.href = location.href + "&nw=" + value + getargs();
+\}
 }
 
@@ -133,4 +219,17 @@
 _pagetitle_ {_collectionname_: _textpreferences_}
 _imagethispage_ {_iconthispage_}
+
+_htmloptions_ {}
+
+_htmloptionson_ {
+<p>
+_fcoption_
+<p>
+_hloption_
+<p>
+_extlinkoption_
+_If_(_PreferenceDocsFromWeb_,<p>
+_intlinkoption_)
+}
 
 _caseoption_ {
@@ -141,11 +240,21 @@
 }
 
+_fcoption_ {
+<input type=checkbox name=fc onClick="updatefc();"_If_("_cgiargfc_" eq "1", checked)> 
+_textfcoption_
+}
+
+_hloption_ {
+<input type=checkbox name=hl onClick="updatehl();"_If_("_cgiarghl_" eq "1", checked)> 
+_texthloption_
+}
+
 _caseoption_ [l=zh] {}
 
 _stemoption_ {
 <input type=radio name=s value=1 onClick="updates(1);"
-		_If_(_cgiargs_, checked)>_textstem_<br>
+  _If_(_cgiargs_, checked)>_textstem_<br>
 <input type=radio name=s value=0 onClick="updates(0);"
-		_If_(_cgiargs_,, checked)>_textnostem_
+  _If_(_cgiargs_,, checked)>_textnostem_
 }
 
@@ -165,5 +274,5 @@
   <option value="20"_If_("_cgiargo_" eq "20", selected)>20
   <option value="50"_If_("_cgiargo_" eq "50", selected)>50
-  <option value="100")_If_("_cgiargo_" eq "100", selected)>all
+  <option value="100")_If_("_cgiargo_" eq "100", selected)>_textall_
 </select>
 }
@@ -180,7 +289,7 @@
 <select name="el" onChange="updateel();">
   <option value="prompt"_If_("_cgiargel_" eq "prompt", selected)>
-     through intermediate page
+     _textlinkinterm_
   <option value="direct"_If_("_cgiargel_" eq "direct", selected)>
-     go directly there
+     _textlinkdirect_
 </select>
 }
@@ -190,19 +299,15 @@
 <select name="il" onChange="updateil();">
   <option value="l"_If_("_cgiargil_" eq "l", selected)>
-     the digital library
+     _textdigitlib_
   <option value="w"_If_("_cgiargil_" eq "w", selected)>
-     the Web
-</select>
-}
-
-
-_languageoption_ {
-_textlanguage_
-<select name="l" onChange="updatel();">
-  <option value="en"_If_("_cgiargl_",, selected)_If_("_cgiargl_" eq "en", selected)>English
-  <option value="mi"_If_("_cgiargl_" eq "mi", selected)>M&auml;ori
-  <option value="zh"_If_("_cgiargl_" eq "zh", selected)>Chinese
-</select>
-}
+     _textweb_
+</select>
+}
+
+_languageoption_ {}
+
+_enlanguageoption_ {<option value="en"_If_("_cgiargl_",, selected)_If_("_cgiargl_" eq "en", selected)>_textlangeng_}
+_milanguageoption_ {<option value="mi"_If_("_cgiargl_" eq "mi", selected)>_textlangmaori_}
+_zhlanguageoption_ {<option value="zh"_If_("_cgiargl_" eq "zh", selected)>_textlangchinese_}
 
 _encodingoption_ {
@@ -231,32 +336,9 @@
 <form name=PrefForm method=get action="_gwcgi_">
 
-<input type="hidden" name="e" value="_compressedoptions_">
-
-<p>
-_caseoption_
-
-<p>
-_stemoption_
-
-<p>
-_textprefop_
-
-<p>
-_modeoption_
-
-<p>
-_extlinkoption_
-
-<p>
-_intlinkoption_
-
-<p>
-_languageoption_
-
-<p>
-_encodingoption_
-
-<p>
-_formatoption_
+<input type="hidden" name="e" value="_decodedcompressedoptions_">
+
+_If_(_collectionoption_,_collectionprefs_)
+_presentationprefs_
+_searchprefs_
 
 </blockquote>
@@ -264,4 +346,40 @@
 }
 
+_searchprefs_ {
+<h3>_textsearchprefs_</h3>
+<p>
+_caseoption_
+
+<p>
+_stemoption_
+
+<p>
+_modeoption_
+
+<p>
+_textprefop_
+<br>_iconblankbar_
+}
+
+_collectionprefs_ {
+<h3>_textcollectionprefs_</h3>
+_collectionoption_
+<br>_iconblankbar_
+}
+
+_presentationprefs_ {
+<h3>_textpresentationprefs_</h3>
+_htmloptions_
+
+<p>
+_languageoption_
+
+<p>
+_encodingoption_
+
+<p>
+_formatoption_
+<br>_iconblankbar_
+}
 
 #######################################################################
@@ -284,60 +402,8 @@
 
 
-#######################################################################
-# english macros
-#######################################################################
-
-_textpreferences_ {Preferences}
-_textignorecase_ { ignore case differences}
-_textmatchcase_ { upper/lower case must match}
-_textstem_ { ignore word endings}
-_textnostem_ { whole word must match}
-_textprefop_ {Return up to _maxdocoption_ hits with _hitsperpageoption_ hits per page.}
-_textextlink_ {Access to external Web pages: }
-_textintlink_ {Source documents retrieved from:}
-_textlanguage_ {Interface language: }
-_textencoding_ {Encoding: }
-_textformat_ {Interface format: }
-_textsimplemode_ {simple query mode}
-_textadvancedmode_ {advanced query mode (allows boolean searching using !, &, |, and parenthesis)}
-_textgraphical_ {Graphical}
-_texttextual_ {Textual}
-
-
-#######################################################################
-# chinese macros
-#######################################################################
-_textintlink_ [l=zh] {}
-_textextlink_ [l=zh] {}
-
-_textprefop_ [l=zh] {æ¥è¯¢æå€è¿åã
-ã _maxdocoption_ è®°åœïŒæ¯é¡µè¿å
-_hitsperpageoption_ è®°åœ}
-_textlanguage_ [l=zh] {çé¢è¯­èšïŒ}
-_textsimplemode_ [l=zh] {ç®åæ¥è¯¢æ¹åŒ}
-_textadvancedmode_ [l=zh] {é«çº§æ¥è¯¢æ¹åŒ(å¯ä»¥äœ¿çš !ã&ã| åæ¬å·æ¥è¿è¡åžå°æ¥è¯¢)}
-_textencoding_ [l=zh] {çŒç æ¹åŒïŒ}
-_textformat_ [l=zh] {çé¢æ ŒåŒïŒ}
-
-#######################################################################
-# maori macros
-#######################################################################
-
-_textpreferences_ [l=mi] {Whiriwhiringa}
-_textignorecase_ [l=mi] { hei aha te p&uuml; matua me te p&uuml; iti}
-_textmatchcase_ [l=mi] { me tika te p&uuml; matua me te p&uuml; iti}
-_textstem_ [l=mi] { hei aha te k&uuml;muri}
-_textnostem_ [l=mi] { me tika te k&uuml;muri}
-_textprefop_ [l=mi] {Whakahokia mai te _maxdocoption_ kupu, &auml;, kia _hitsperpageoption_ kupu ki ia wh&auml;rangi.}
-_textlanguage_ [l=mi] {Reo: }
-_textencoding_ [l=mi] {Whakatakotoranga p&uuml;: }
-_textformat_ [l=mi] {Whakatakotoranga wh&auml;rangi: }
-_textsimplemode_ [l=mi] {te rapu wh&auml;iti}
-_textadvancedmode_ [l=mi] {te rapu wh&auml;nui (ka taea te whakamahia ng&auml; p&uuml; boolean, 
-p&euml;r&auml; i te !, &, |, me te "()" hoki)}
-_textgraphical_ [l=mi] {Whakaahua}
-_texttextual_ [l=mi] {K&auml;ore he whakaahua}
-
-
-
-
+
+
+
+
+
+
Index: /trunk/gsdl/macros/prescrpt.dm
===================================================================
--- /trunk/gsdl/macros/prescrpt.dm	(revision 876)
+++ /trunk/gsdl/macros/prescrpt.dm	(revision 876)
@@ -0,0 +1,223 @@
+package prescript
+
+
+#######################################################################
+# java images/scripts
+#######################################################################
+
+# the _javalinks_ macros are the flashy image links at the top right of
+# the page. 
+
+_javalinks_ {_imagehome_}
+_javalinks_ [v=1] {
+_imagehome_<br>
+}
+
+
+#######################################################################
+# icons
+#######################################################################
+
+_iconhpscrpt_ {<img src="_httpiconhpscrpt_" width=_widthhpscrpt_ height=_heighthpscrpt_}
+
+#######################################################################
+# http macros 
+#
+# These contain the url without any quotes
+#######################################################################
+
+_httpiconhpscrpt_ {_httpimg_/h\_pscrpt.gif}
+_widthhpscrpt_ {200}
+_heighthpscrpt_ {57}
+
+
+#######################################################################
+# page content
+#######################################################################
+
+_pagetitle_ {NZDL: PreScript}
+
+_imagethispage_ {_iconhpscrpt_}
+
+_content_ {
+_iconblankbar_
+<p><i>PreScript</i> offers:
+
+<dl>
+<dt><b>PostScript conversion to plain ASCII or HTML.</b></dt>
+
+<dd><i>PreScript</i> is really a PostScript to plain text converter,
+but rudimentary HTML can also be produced.  Tags are inserted to mark
+paragraphs (&lt;p&gt;), short lines (&lt;br&gt;), page breaks
+(&lt;hr&gt;), and header and footers (italisized with
+&lt;i&gt;...&lt;/i&gt;).
+
+<dt><b>Paragraph boundaries detection.</b></dt>
+<dd><i>PreScript</i> determines the line spacing of a document and
+uses this (and also indentations) to determine paragraph boundaries. 
+
+<dt><b>Hyphenation removal.</b></dt>
+<dd>Hyphenated words are de-hyphenated.
+
+<dt><b>Ligature translation.</b></dt>
+<dd>Most ligatures used by TeX document are detected.
+<i>PreScript</i> doesn't track font changes making it impossible to
+reliablely detect all ligatures.
+
+</dl>
+<br>
+<h3>Installing PreScript</h3>
+<i>PreScript</i> is written in PostScript and Python.  You will
+need <a href="http://www.cs.wisc.edu/~ghost">Ghostscript</a> (at least
+version 4.01) and the
+<a href="http://www.python.org">Python</a> interpreter (at least
+version 1.4.).
+
+<h4>The PreScript 0.1 distribution</h4>
+
+This distribution is the most stable - it is what you should use to
+do real work.
+
+<ul>
+
+<li>Download the <a href="http://www.nzdl.org/technology/prescript-0.1.tar.gz">PreScript
+0.1</a> distribution.
+
+<li>Define the environment variable <tt>PRESCRIPT_DIR</tt> to the
+directory where <i>PreScript</i> is installed (or where ever you put
+<tt>prescript.ps</tt>).
+
+<li>Move <tt>prescript.py</tt> to a directory listed in your
+<tt>PATH</tt> environment variable.  You may want to remove the
+<tt>.py</tt> suffix (<tt>prescript.py</tt> can be either a standalone
+program, or an imported library of another Python program).
+
+<li>Change <tt>\#! /usr/local/bin/python</tt> in
+<tt>prescript.py</tt> to the location of your Python interpreter.
+
+</ul>
+
+<h4>The PreScript 2 distribution</h4>
+
+This is a beta release of our latest version. This version is a lot cleaner and
+faster; it is also extensible (users can write their own renderers), 
+better documented, and contains better prediction of line, paragraph, 
+and page breaks. If you notice any bugs, want to request new
+features, or want to become a beta tester please email the <a
+href="mailto:nzdl@cs.waikato.ac.nz">New Zealand Digital Library
+administrator</a>.
+
+<ul>
+
+<li>Download a <i>PreScript 2</i> distribution (the later versions are more stable).
+
+<blockquote>
+<a href="http://www.nzdl.org/technology/prescript-2.0.tar.gz">PreScript 2.0</a><br>
+<a href="http://www.nzdl.org/technology/prescript-2.1.tar.gz">PreScript 2.1</a><br>
+<a href="http://www.nzdl.org/technology/prescript-2.2.tar.gz">PreScript 2.2</a> -- same as Prescript 2.1 but compatibility issues
+with python 1.5 have been fixed
+</blockquote>
+
+<li>On unix systems 'make install' will install prescript to /usr/local/bin. It will
+also install the accompanying manual page (to install somewhere else simply edit
+the Makefile).
+
+<li>If not installing with the make utility:<br>
+It is easiest if all of the program scripts are kept in the same directory,
+which ideally should be listed in the <tt>PATH</tt> environment variable.  If
+this is inconvenient, be sure that <tt>PRESCRIPT_DIR</tt> points to where
+<tt>prescript.ps</tt> is installed, and that <tt>PYTHONPATH</tt> points to
+where <tt>*.py</tt> are installed.
+
+<li>Change <tt>\#!/usr/local/bin/python</tt> in <tt>prescript</tt> to the
+location of your Python interpreter ('make install' does NOT do this for you).
+
+</ul>
+<br>
+
+<h3>Running PreScript</h3>
+<b>Usage:</b>
+<blockquote>
+prescript <i>format</i> <i>input</i> [<i>output</i>]
+</blockquote>
+
+<ul>
+<li><i>format</i> is either <tt>plain</tt> or <tt>html</tt>.
+<li><i>input</i> is the input filename, a PostScript file.
+<li><i>output</i> is the output filename.  By default, the output file
+name is the same as the input filename with the path removed and suffix
+replace to either <tt>.txt</tt> or <tt>.html</tt>.
+</ul>
+
+<br>
+<h3>Bugs</h3>
+Please report bugs to the <a
+href="mailto:nzdl@cs.waikato.ac.nz">New Zealand Digital Library
+administrator</a>.
+<p><br>
+
+<h3>Notes</h3>
+<i>PreScript</i> is a port of a Perl program used by the New Zealand Digital
+Library project to convert computer science technical reports to HTML.  The
+Perl version is deemed unfit for a public release because the code is quite
+messy (a consequence of Perl's cumbersome syntax for defining objects).  The
+Python version is considerably easier to understand, maintain, and extend.  
+The technical paper <a
+href="http://www.nzdl.org/technology/prescript.ps.gz">prescript.ps.gz</a> documents the
+algorithms and heuristics used in <i>PreScript 0.1</i> - there is an
+update to this for <i>PreScript 2</i> inside its distribution 
+archive.<p><br>
+
+<h3>Other Postscript Converters</h3>
+Here is a summary of other PostScript to text converters we found.
+
+<dl>
+<dt><a
+href="http://www.research.digital.com/SRC/virtualpaper/pstotext.html"><b>pstotext</b></a></dt>
+
+
+<dd>From the DEC Virtual Paper research project.  PostScript program
+and C program.  Probably the best PostScript to text converter (after
+<i>PreScript</i>, of course).
+
+<dt><a
+href="http://stasi.bradley.edu/ftp/pub/ps2html/ps2html-v2.html"><b>ps2html,
+The Sequel</b></a></dt>
+
+<dd>Developed at John Hopkins University to convert JHU journal
+articals to HTML.  This converter attempts to preserve the formatting
+of the original PostScript document, but is tied to PostScript
+files generated with a specific package (QuarkXPress?).  A table
+describing a number of parameters is used to aid conversion and can be
+modified for new formats.  Uses a variation of Ghostscript's
+<tt>ps2ascii.ps</tt>.
+
+<dt><b>ps2ascii.ps</b></dt>
+
+<dd>Part of the Ghostscript distribution.  <tt>ps2ascii.ps</tt> is
+considerably less robust than <i>PreScript</i>.
+
+<dt><a
+href="ftp://ftp.mpce.mq.edu.au/pub/comp/src/ps2a.sh"><b>ps2a.sh</b></a></dt>
+
+<dd>A PostScript program similar to Ghostscript's <tt>ps2ascii.ps</tt>.
+
+<dt><a href="ftp://apocalypse.engr.ucf.edu:/usr/ssd/ps2ascii.shar"><b>ps2ascii.shar</b></a></dt>
+
+<dd>A PostScript program and Perl script.
+
+<dt><a
+href="ftp://wilma.cs.brown.edu/pub/postscript/ps2ascii.pl"><b>ps2ascii.pl</b></a></dt>
+
+<dd>A Perl script that extracts parenthesized text from a PostScript
+file.
+
+<dt><a
+href="ftp://ftp.funet.fi/pub/archive/alt.sources/volume92/Feb/920223.01.gz"><b>ps2txt</b></a></dt>
+
+<dd>A stand alone C program that extracts parenthesized text.  Some
+special code to deal with <tt>dvips</tt> generated files.
+
+</dl>
+
+}
Index: /trunk/gsdl/macros/query.dm
===================================================================
--- /trunk/gsdl/macros/query.dm	(revision 875)
+++ /trunk/gsdl/macros/query.dm	(revision 876)
@@ -77,5 +77,5 @@
 
 <input type=hidden name="a" value="q">
-<input type=hidden name="e" value="_compressedoptions_">
+<input type=hidden name="e" value="_decodedcompressedoptions_">
 <input type=hidden name="r" value="1">
 
@@ -112,45 +112,6 @@
 #######################################################################
 
-_textquerytitle_ {_If_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargq_,No matches for query: _cgiargq_}
-_textnoquerytitle_ {Search page}
+# moved to english.dm
 
-_texticonthispage_ {search}
-_textsome_ {_If_(_cgiargb_,ranked,some)}
-_textall_ {_If_(_cgiargb_,boolean,all)}
-_texticonqueryresultsbar_ {}
-_textfreqmsg1_ {Word count: }
-_textpostprocess_ {_If_(_quotedquery_,<br><i>post-processed to find _quotedquery_</i>
-)}
-
-_textmorethan_ {More than }
-_textapprox_ {About }
-_textnodocs_ {No documents matched the query.}
-_text1doc_ {1 document matched the query.}
-_textlotsdocs_ {documents matched the query.}
-_textmatches_ {Matches }
-_textbeginsearch_ {Begin Search}
-
-# the textselect macro may need to be overridden for some collections
-# _hselection_, _jselection_ and _nselection_ are set from within the server
-# some or all of them may remain unset
-_textselect_ {_If_(_cgiargb_,_textadvancedsearch_,_textsimplesearch_)}
-
-_defaultindextext_ { all text }
-_textsimplesearch_ {Search for _If_(_hselection_, _hselection_, _defaultindextext_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
-which contain _querytypeselection_ of the words}
-
-_textadvancedsearch_ {Search_If_(_hselection_, _hselection_, _defaultindextext_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
-using _querytypeselection_ query}
-
-_textjselect_ {_If_(_hselection_, of) _jselection_}
-
-_querytypeselection_ {
-<select name="t">
-<option value="1"_If_(_cgiargt_, selected)>_textsome_
-<option value="0"_If_(_cgiargt_,, selected)>_textall_
-</select>
-}
-
-_textstemon_ { (ignoring word endings)}
 
 
@@ -159,18 +120,18 @@
 #######################################################################
 
-_texticonthispage_ [l=mi] {rapu}
-_textsome_ [l=mi] {&euml;tehi}
-_textall_ [l=mi] {_If_(_cgiargb_,te boolean,katoa)}
-_textbeginsearch_ [l=mi] {Rapua}
-_textfreqmsg1_ [l=mi] {Kia hia ng&auml; kupu: }
-_textmorethan_ [l=mi] {Neke atu i te }
-_textnodocs_ [l=mi] {k&auml;ore he pukapuka e p&auml; ana ki &auml;u kupu rapu.}
-_text1doc_ [l=mi] {1 te pukapuka e p&auml; ana ki &auml;u kupu rapu.}
-_textlotsdocs_ [l=mi] {ng&auml; pukapuka e p&auml; ana ki &auml;u kupu rapu.}
-_textmatches_ [l=mi] {Kitenga }
-_textstemon_ [l=mi] { (hei aha te k&uuml;muri)}
+#moved to  maori.dm
 
-_textsimplesearch_ [l=mi] {Tirohia ki _If_(_hselection_, _hselection_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) m&ouml; _querytypeselection_ o ng&auml; kupu}
 
-_textadvancedsearch_ [l=mi] {Tirohia ki_If_(_hselection_, _hselection_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
-m&ouml; _querytypeselection_ o ng&auml; kupu}
+
+
+
+
+
+
+
+
+
+
+
+
+
